package org.RI.P2;

import java.util.List;
import java.io.IOException;
import java.io.Reader;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;
import java.util.stream.Collectors;

import org.json.simple.JSONArray;
import org.json.simple.JSONValue;
import org.json.simple.parser.ParseException;

public class Parser {
    private static List<File> files;

    private static void readFiles(String directory) throws IOException {
        files = Files.walk(Paths.get(directory)).filter(Files::isRegularFile).map(Path::toFile)
                .collect(Collectors.toList());
    }

    public JSONArray parseJSONFile(String filePath) throws IOException, ParseException {
        InputStream jsonFile = getClass().getResourceAsStream(filePath);
        Reader readerJson = new InputStreamReader(jsonFile);
        Object fileObjects = JSONValue.parseWithException(readerJson);
        JSONArray arrayObjects = (JSONArray) fileObjects;
        return arrayObjects;
    }

    private static void usage() {
        System.out.println("Usage: Parser <directory>");
        System.out.println("option directory: directory that contains JSON files");
        System.exit(1);
    }
}
